    The XSPEC sirf model: self-irradiated funnel.

xssirf
The xssirf model is an additive model component.

The model is described at [1] .

>>> create_model_component("xssirf", "mdl")
>>> print(mdl)

Create a component of the xssirf model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.tin thawed 1 0.01 1000 keV mdl.rin thawed 0.01 1e-06 10 rsph mdl.rout thawed 100 0.1 1e+08 rsph mdl.theta thawed 22.9 0 90 deg mdl.incl frozen 0 -90 90 deg mdl.valpha frozen -0.5 -1.5 5 mdl.gamma frozen 1.333 0.5 10 mdl.mdot frozen 1000 0.5 1e+07 mdl.irrad frozen 2 0 20 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
tin
The inner temperature (at the inner, inside-the-funnel photosphere), in keV.
rin
The inner (inner, inside-the-fulle photosphere) radius in "spherisation radius" units (see [1] for details).
rout
The outer photosphere radius in "spherisation radius" units
theta
The half-opening angle of the cone, in degrees.
incl
The inclination angle of the funnel, in degrees. Affects mainly self-occultation and relativistic boost effects.
valpha
The velocity law exponent.
gamma
The adiabatic index. It affects the inner, hotter parts of the flow, therefore we set is to 4/3 by default.
mdot
The mass ejection rate in Eddington (critical) units.
irrad
The number of iterations for irradiation.
norm
The normalization of the model.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelSirf.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023